#!/usr/bin/perl

use lib '.';

use strict;
use warnings;

use ExecWrapper;

my $wrapper= new ExecWrapper(1.0); # timeout in fractional seconds

$wrapper->types (['^(\*|\*\*|\? |insert\>)$' => \&passon],
				 ['^Please type another (input|output|format) file name: $' => \&passon],
				 ['' => sub { shift; print(shift); }]);


sub passon {
  my ($this,$line) = @_;
  print $line;
  my $data = <STDIN>;
  chomp $data;
  $this->{stdout}->print("$data\n");
}


if ($wrapper->start(@ARGV)) {
  $wrapper->run();
}


